Bug 1499784 - [Downstream Only] : Retain cli and scripts for nfs-ganesha integration
Summary: [Downstream Only] : Retain cli and scripts for nfs-ganesha integration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd
Version: rhgs-3.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.4.0
Assignee: Jiffin
QA Contact: Manisha Saini
URL:
Whiteboard:
Depends On:
Blocks: 1503134
TreeView+ depends on / blocked
 
Reported: 2017-10-09 11:52 UTC by Jiffin
Modified: 2018-09-20 15:51 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 06:36:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:38:14 UTC

Description Jiffin 2017-10-09 11:52:24 UTC
Description of problem:
The RHGS 3.3 was rebased on upstream glusterfs 3.8 and RHGS 3.4 will be rebased on glusterfs 3.12. The helper scripts and cli related to nfs-ganesha got removed from glusterfs 3.11 to introduce storhaug as alternate approach. But storhaug is not stable enough to consume for RHGS. Hence for 3.4 older codebase for nfs-ganesha need to be retained as part of first RHGS build 

Version-Release number of selected component (if applicable):
3.4

Additional info:
The patch which removes ganesha codebase need to reverted in downstream
Patch links
cli/glusterd code : https://review.gluster.org/#/c/16504/
packaging/helper scripts : https://review.gluster.org/#/c/16506/

Comment 7 errata-xmlrpc 2018-09-04 06:36:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.